/* === Layout === */

.page {
  align-items: center;
}

.content {
  gap: 40px;
  z-index: 200;
}

.logo {
  width: clamp(300px, 50%, 500px);
}

nav.menu {
  flex-direction: row;
}

@media (max-width: 400px) {
  .logo {
    width: 90%;
  }
}

.decor--corner-top {
  width: 50%;
  height: 70%;
  top: 20px;
  left: 20px;
  background-position: left top;
}

.decor--corner-bottom {
  width: 40%;
  height: 60%;
  bottom: 20px;
  right: 20px;
  background-position: right bottom;
}

.decor--ink {
  width: 50%;
  height: 24%;
  top: 8%;
  left: 10%;
  background-position: 10% center;
}

.decor--postcard {
  width: 50%;
  height: 40%;
  left: -10%;
  bottom: -10%;
  background-size: cover;
}

.decor--pen {
  width: 10%;
  height: 26%;
  bottom: -4%;
  left: 40%;
  background-position: left bottom;
}

.decor--stamp.stamp--1 {
  width: 16%;
  height: 14%;
  top: 6%;
  right: 8%;
}

.decor--stamp.stamp--2 {
  width: 16%;
  height: 14%;
  top: 14%;
  right: 4%;
}

/* === Animations === */

.logo {
  transform: scale(.95);
}

.intro .logo {
  transform: scale(1);
  transition: 1.8s;
}

.menu__icon {
  opacity: 0;
  visibility: hidden;
  transform: translateY(20%);
}

.menu__link:nth-child(1) .menu__icon { transition: .8s .1s, opacity .3s .1s; }
.menu__link:nth-child(2) .menu__icon { transition: .8s .2s, opacity .3s .2s; }
.menu__link:nth-child(3) .menu__icon { transition: .8s .3s, opacity .3s .3s; }
.menu__link:nth-child(4) .menu__icon { transition: .8s .4s, opacity .3s .4s; }
.menu__link:nth-child(5) .menu__icon { transition: .8s .5s, opacity .3s .5s; }

.intro .menu__icon {
  opacity: 1;
  visibility: visible;
  transform: translateY(0%);
}

.menu__link span {
  opacity: 0;
  visibility: hidden;
}

.menu__link:nth-child(1) span { transition: .5s .3s; }
.menu__link:nth-child(2) span { transition: .5s .4s; }
.menu__link:nth-child(3) span { transition: .5s .5s; }
.menu__link:nth-child(4) span { transition: .5s .6s; }
.menu__link:nth-child(5) span { transition: .5s .7s; }

.intro .menu__link span {
  opacity: 1;
  visibility: visible;
}

.decor--corner-top {
  transform: rotate(-3deg);
  transform-origin: 50% 80%;
}

.intro .decor--corner-top {
  transform: rotate(0deg);
  transition: 1s;
}

.decor--stamp.stamp--1 {
  transform: translate(10%, -40%);
}

.intro .decor--stamp.stamp--1 {
  transform: rotate(0deg);
  transition: 0.9s;
}

.intro .decor--stamp.stamp--1:hover {
  transform: rotate(4deg);
  transition: 0.4s;
}

.decor--stamp.stamp--2 {
  transform: translate(30%, -20%);
}

.intro .decor--stamp.stamp--2 {
  transform: rotate(6deg);
  transition: 0.9s;
}

.intro .decor--stamp.stamp--2:hover {
  transform: rotate(10deg);
  transition: 0.4s;
}

.decor--ink {
  transform: translate(-5%, -15%);
}

.intro .decor--ink {
  transform: translate(0,0);
  transition: .9s;
}

.decor--postcard {
  transform: translate(-50%, 60%);
}

.intro .decor--postcard {
  transform: rotate(8deg);
  transition: 0.9s;
}

.intro .decor--postcard:hover {
  transform: rotate(6deg);
  transition: 0.4s;
}

.decor--corner-bottom {
  transform: rotate(3deg);
  transform-origin: 50% 80%;
}

.intro .decor--corner-bottom {
  transform: rotate(0deg);
  transition: 1s;
}

.decor--pen {
  transform: translateY(100%)
} 

.intro .decor--pen {
  transform: rotate(16deg);
  transition: 0.9s;
}

.intro .decor--pen:hover {
  transform: rotate(18deg);
  transition: 0.4s;
}